Bug 371161 - metacity-firefox-workaround-2.patch breaks pidgin behaviour
metacity-firefox-workaround-2.patch breaks pidgin behaviour
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
http://bugzilla.gnome.org/show_bug.cg...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-08 08:53 EST by Adrian Reber
Modified: 2009-07-15 05:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 14:25:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adrian Reber 2007-11-08 08:53:02 EST
Description of problem:

With this patch (metacity-firefox-workaround-2.patch) the used behaviour of
pidgin when clicking on the tray icon changed/broke.

Up until this patch it was possible to click on the tray icon of pidgin and no
matter on which workspace this is done the buddy list appears on that workspace.

Now if clicking the tray icon the buddy list just disappears on the workspace it
is displayed and clicking it again lets it appear on the other workspace.

From my point of view this is a regression in the usability of my usage of the
whole desktop.

Version-Release number of selected component (if applicable):

metacity-2.20.0-3.fc8
Comment 1 Pedro Silva 2007-11-11 06:25:59 EST
I confirm this behaviour and also think this is a regression.
Comment 2 Yanko Kaneti 2007-11-11 06:48:30 EST
Same thing with liferea and its behavior on clicking the notification icon.
Comment 3 Matthias Clasen 2007-11-11 15:56:07 EST
CCing Colin, who did that patch
Comment 4 Colin Walters 2007-11-12 12:28:37 EST
What's happening here is that the Pidgin buddy list feels very similar to a menu
popup, but is actually implemented as a regular window.  Pidgin seems to be one
of the few applications where the application relied on the behavior of
gtk_window_present() bringing windows to the current workspace.

On Compiz it seems to have the same behavior, which is interesting, because
before Compiz and Metacity differed on the gtk_window_present(), so there must
be some Pidgin-specific differentiation occuring somehow.

Anyways, since the Firefox patch was removed before Fedora 8, there isn't much
point to having this patch in Fedora 8 either.  I will remove it and add an update.

We will figure out how to fix Firefox and Metacity together for Fedora 9, and
update them in sync.


Comment 5 Elijah Newren 2007-11-13 00:41:37 EST
This sounds like pidgin is trying to use _NET_ACTIVE_WINDOW as a hack to
simulate "launching" the buddy window?  It could just launch it and then we know
to move it to the right workspace...
Comment 6 Etan Reisner 2008-04-16 13:43:10 EDT
For the record pidgin has no policy decisions on what should or shouldn't 
happen when the use clicks the tray icon. All pidgin wants is that the buddy 
list window be presented to the user as such using gtk_window_present is the 
correct thing for us to be doing. Any policy decisions on what that means for 
pidgin are squarely in the realm of the window manager, desktop environment, 
and user preference. So again, pidgin itself relies on no specific behaviour 
out of gtk_window_present other than that of 'presenting the window to the 
user'.
Comment 7 Bug Zapper 2008-05-13 23:51:43 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 19:09:39 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-07-14 14:25:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.